"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const tslib_es6 = require("../../../node_modules/tslib/tslib.es6.js");
const extension = require("../../extension.js");
const Component = require("../../view/Component.js");
const SingleAxisView = require("../axis/SingleAxisView.js");
const axisModelCreator = require("../../coord/axisModelCreator.js");
const AxisModel = require("../../coord/single/AxisModel.js");
const singleCreator = require("../../coord/single/singleCreator.js");
const install$1 = require("../axisPointer/install.js");
const AxisView = require("../axis/AxisView.js");
const SingleAxisPointer = require("../axisPointer/SingleAxisPointer.js");
var SingleView = (
  /** @class */
  function(_super) {
    tslib_es6.__extends(SingleView2, _super);
    function SingleView2() {
      var _this = _super !== null && _super.apply(this, arguments) || this;
      _this.type = SingleView2.type;
      return _this;
    }
    SingleView2.type = "single";
    return SingleView2;
  }(Component.default)
);
function install(registers) {
  extension.use(install$1.install);
  AxisView.default.registerAxisPointerClass("SingleAxisPointer", SingleAxisPointer.default);
  registers.registerComponentView(SingleView);
  registers.registerComponentView(SingleAxisView.default);
  registers.registerComponentModel(AxisModel.default);
  axisModelCreator.default(registers, "single", AxisModel.default, AxisModel.default.defaultOption);
  registers.registerCoordinateSystem("single", singleCreator.default);
}
exports.install = install;
